# Turn off the brp-python-bytecompile script,
# it somehow (dont remember how:) badly affects python builds
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Name: sugar-mothership
Version: 1.1
Release: 4.1
Group: Development/Tools/Other
Summary: School mothership utilities
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Sugar_Server_Kit/sugar-mothership

Source: sugar-mothership-1.1.tar.gz
Source1: sweet.tar.gz



Requires: python
Requires: rsync

BuildRequires: python

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
School mothership utilities

%prep
%setup -n sugar-mothership-1.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install
install -m 0755 -D sugar-mothership %{buildroot}/.dest/%{_bindir}/sugar-mothership && install -m 0755 -d %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'` && cp -r sugar_mothership %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'`/ && install -m 0644 -D sugar-mothership.conf %{buildroot}/.dest/%{_sysconfdir}/sugar-mothership.conf && install -m 0755 -D vendor/rrsync %{buildroot}/.dest/%{_bindir}/rrsync && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-mothership && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/sugar-mothership/
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-mothership.files
rm -rf %{buildroot}/.dest

%post
getent group schoolserver || groupadd -r schoolserver; getent passwd schoolserver || useradd -r -d /library -s /bin/sh -M -g schoolserver -p '*' schoolserver;

%preun


%clean
rm -rf %{buildroot}

%files -f sugar-mothership.files

%changelog
